/*
 *  Copyright (C) 2013, Loongson Technology Corporation Limited, Inc.
 *
 *  This program is free software; you can distribute it and/or modify it
 *  under the terms of the GNU General Public License (Version 2) as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 *
 */
#ifndef _LS2K_H
#define _LS2K_H
#include <asm/addrspace.h>

/* CHIP CONFIG regs */
#define LS2K_CHIP_CFG_REG_BASE      (LS2K_IO_REG_BASE + 0x00e10000)
#define LS2K_APBDMA_CONFIG_REG      (LS2K_CHIP_CFG_REG_BASE + 0x438)
#define LS2K_GEN_CONFIG0_REG        (LS2K_CHIP_CFG_REG_BASE + 0x420)
#define LS2K_GEN_CONFIG1_REG        (LS2K_CHIP_CFG_REG_BASE + 0x428)

#define LS2K_PIX0_PLL           (LS2K_CHIP_CFG_REG_BASE + 0x4b0)
#define LS2K_PIX1_PLL           (LS2K_CHIP_CFG_REG_BASE + 0x4c0)

#define LS2K_INT_REG_BASE       (LS2K_CHIP_CFG_REG_BASE + 0x1420)

#define LS2K_INT_ISR0_REG       (LS2K_CHIP_CFG_REG_BASE + 0x1420)
#define LS2K_INT_IEN0_REG       (LS2K_CHIP_CFG_REG_BASE + 0x1424)
#define LS2K_INT_SET0_REG       (LS2K_CHIP_CFG_REG_BASE + 0x1428)
#define LS2K_INT_CLR0_REG       (LS2K_CHIP_CFG_REG_BASE + 0x142c)
#define LS2K_INT_POL0_REG       (LS2K_CHIP_CFG_REG_BASE + 0x1430)
#define LS2K_INT_EDGE0_REG      (LS2K_CHIP_CFG_REG_BASE + 0x1434)
#define LS2K_INT_BOUNCE_REG     (LS2K_CHIP_CFG_REG_BASE + 0x1438)
#define LS2K_INT_AUTO_REG       (LS2K_CHIP_CFG_REG_BASE + 0x143c)

#endif //_LS2K_H
